Skip to main content
GET
/
teams
Get all teams
curl --request GET \
  --url https://api.gleap.io/v3/teams \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>'
[
  {
    "updatedAt": "<string>",
    "createdAt": "<string>",
    "ticketAmount": 123,
    "limitTicketAmount": true,
    "needQueueRerun": true,
    "selectOnlyOnlineMembers": true,
    "members": [
      "<string>"
    ],
    "operatingHours": {
      "openingTimes": [
        {
          "closingTime": "<string>",
          "openingTime": "<string>",
          "day": "<string>",
          "replyTime": "<unknown>"
        }
      ],
      "alwaysOnline": true,
      "enabled": true,
      "staticTranslations": {
        "outOfOfficeMessage": "<unknown>"
      },
      "replyTime": "<unknown>",
      "timezone": "<string>"
    },
    "project": "<string>",
    "slaOptions": {
      "defaultSla": 123
    },
    "name": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.gleap.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

project
string
required

Response

200 - application/json

Ok

updatedAt
string
required
createdAt
string
required
ticketAmount
number<double>
required
limitTicketAmount
boolean
required
needQueueRerun
boolean
required
selectOnlyOnlineMembers
boolean
required
members
string[]
required
assignmentMethod
enum<string>
required
Available options:
random,
balanced,
manual,
circular
operatingHours
object
project
string
slaOptions
object
name
string